PHP_Parser_Core (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.PHP_Parser_Core
/parser/Parser/Core.php at line 100

# Class PHP_Parser_Core

    PHP_Parser_Core

public class PHP_Parser_Core

Field Summary
final int | AMPERSAND
final int | AT
final int | BACKQUOTE
final int | BAR
final int | CARAT
final int | COLON
final int | COMMA
final int | DIVIDE
final int | DOLLAR
final int | DOT
final int | DOUBLEQUOTE
final int | EQUALS
final int | EXCLAM
final int | GREATERTHAN
final int | LBRACKET
final int | LCURLY
final int | LESSTHAN
final int | LPAREN
final int | MINUS
final int | PERCENT
final int | PLUS
final int | QUESTION
final int | RBRACKET
final int | RCURLY
final int | RPAREN
final int | SEMI
final int | SINGLEQUOTE
final int | TILDE
final int | TIMES
final int | T_ABSTRACT
final int | T_AND_EQUAL
final int | T_ARRAY
final int | T_ARRAY_CAST
final int | T_AS
final int | T_BAD_CHARACTER
final int | T_BINARY_CAST
final int | T_BOOLEAN_AND
final int | T_BOOLEAN_OR
final int | T_BOOL_CAST
final int | T_BREAK
final int | T_CASE
final int | T_CATCH
final int | T_CHARACTER
final int | T_CLASS
final int | T_CLASS_C
final int | T_CLONE
final int | T_CONCAT_EQUAL
final int | T_CONST
final int | T_CONSTANT_ENCAPSED_STRING
final int | T_CONTINUE
final int | T_CURLY_OPEN
final int | T_DEC
final int | T_DECLARE
final int | T_DEFAULT
final int | T_DIV_EQUAL
final int | T_DNUMBER
final int | T_DO
final int | T_DOLLAR_OPEN_CURLY_BRACES
final int | T_DOUBLE_ARROW
final int | T_DOUBLE_CAST
final int | T_ECHO
final int | T_ELSE
final int | T_ELSEIF
final int | T_EMPTY
final int | T_ENCAPSED_AND_WHITESPACE
final int | T_ENDDECLARE
final int | T_ENDFOR
final int | T_ENDFOREACH
final int | T_ENDIF
final int | T_ENDSWITCH
final int | T_ENDWHILE
final int | T_END_HEREDOC
final int | T_EVAL
final int | T_EXIT
final int | T_EXTENDS
final int | T_FILE
final int | T_FINAL
final int | T_FOR
final int | T_FOREACH
final int | T_FUNCTION
final int | T_FUNC_C
final int | T_GLOBAL
final int | T_HALT_COMPILER
final int | T_IF
final int | T_IMPLEMENTS
final int | T_INC
final int | T_INCLUDE
final int | T_INCLUDE_ONCE
final int | T_INLINE_HTML
final int | T_INSTANCEOF
final int | T_INTERFACE
final int | T_INT_CAST
final int | T_ISSET
final int | T_IS_EQUAL
final int | T_IS_GREATER_OR_EQUAL
final int | T_IS_IDENTICAL
final int | T_IS_NOT_EQUAL
final int | T_IS_NOT_IDENTICAL
final int | T_IS_SMALLER_OR_EQUAL
final int | T_LINE
final int | T_LIST
final int | T_LNUMBER
final int | T_LOGICAL_AND
final int | T_LOGICAL_OR
final int | T_LOGICAL_XOR
final int | T_METHOD_C
final int | T_MINUS_EQUAL
final int | T_MOD_EQUAL
final int | T_MUL_EQUAL
final int | T_NEW
final int | T_NUM_STRING
final int | T_OBJECT_CAST
final int | T_OBJECT_OPERATOR
final int | T_OR_EQUAL
final int | T_PAAMAYIM_NEKUDOTAYIM
final int | T_PLUS_EQUAL
final int | T_PRINT
final int | T_PRIVATE
final int | T_PROTECTED
final int | T_PUBLIC
final int | T_REQUIRE
final int | T_REQUIRE_ONCE
final int | T_RETURN
final int | T_SL
final int | T_SL_EQUAL
final int | T_SR
final int | T_SR_EQUAL
final int | T_START_HEREDOC
final int | T_STATIC
final int | T_STRING
final int | T_STRING_CAST
final int | T_STRING_VARNAME
final int | T_SWITCH
final int | T_THROW
final int | T_TRY
final int | T_UNICODE_CAST
final int | T_UNSET
final int | T_UNSET_CAST
final int | T_USE
final int | T_VAR
final int | T_VARIABLE
final int | T_WHILE
final int | T_XOR_EQUAL
final int | YYERRORSYMBOL
final str | YYERRSYMDT
final int | $YYFALLBACK
final int | YYNOCODE
final int | YYNRULE
final int | YYNSTATE
final int | YYSTACKDEPTH
final int | YY_ACCEPT_ACTION
final int | YY_ERROR_ACTION
final int | YY_NO_ACTION
final int | YY_REDUCE_MAX
final int | YY_REDUCE_USE_DFLT
final int | YY_SHIFT_MAX
final int | YY_SHIFT_USE_DFLT
final int | YY_SZ_ACTTAB
private mixed | $_retvalue placeholder for the left hand side in a reduce operation.
mixed | $classes
mixed | $data
mixed | $functions
mixed | $globals
mixed | $lex
mixed | $root
static mixed | $transTable
static mixed | $yyExpectedTokens
static mixed | $yyFallback The next table maps tokens into fallback tokens.
static mixed | $yyReduceMap The following table contains a mapping of reduce action to method name that handles the reduction.
static mixed | $yyRuleInfo The following table contains information about every rule that is used during the reduce.
static array | $yyRuleName For tracing reduce actions, the names of all rules are required.
static array | $yyTokenName For tracing shifts, the names of all terminals and nonterminals are required.
static resource|0 | $yyTraceFILE
static string|0 | $yyTracePrompt String to prepend to debug output
static mixed | $yy_action
static mixed | $yy_default
static mixed | $yy_lookahead
static mixed | $yy_reduce_ofst
static mixed | $yy_shift_ofst
int | $yyerrcnt
int | $yyidx
array | $yystack

Constructor Summary
PHP_Parser_Core(mixed lex)

Method Summary
static void | PrintTrace() Output debug information to output (php://output stream)
static void | Trace(mixed TraceFILE, mixed zTracePrompt, string ) Turn parser tracing on by giving a stream to which to write the trace and a prompt to preface each trace message.
private void | __destruct() Deallocate and destroy a parser.
void | doParse(mixed yymajor, mixed yytokenvalue, mixed the, mixed any) The main parser program.
void | nop()
void | releaseInstance()
string | tokenName(mixed tokenType, int ) This function returns the symbolic name associated with a token value.
void | yy_accept() The following is executed when the parser accepts%parse_accept code is inserted here
static void | yy_destructor(mixed yymajor, mixed yypminor, mixed the) The following function deletes the value associated with a symbol.
void | yy_find_reduce_action(mixed stateno, mixed iLookAhead, int Current, int The) Find the appropriate action for a parser given the non-terminal look-ahead token $iLookAhead.
void | yy_find_shift_action(mixed iLookAhead, int The) Find the appropriate action for a parser given the terminal look-ahead token iLookAhead.
array | yy_get_expected_tokens(mixed token, int ) Based on the current state and parser stack, get a list of all possible lookahead tokens
bool | yy_is_expected_token(mixed token, int ) Based on the parser state and current parser stack, determine whether the lookahead token is possible.
void | yy_parse_failed() The following code executes when the parse failsCode from %parse_fail is inserted here
int | yy_pop_parser_stack(PHP_Parser_CoreyyParser ) Pop the parser's stack once.
void | yy_r0()
void | yy_r1()
void | yy_r100()
void | yy_r101()
void | yy_r102()
void | yy_r103()
void | yy_r104()
void | yy_r105()
void | yy_r106()
void | yy_r107()
void | yy_r108()
void | yy_r109()
void | yy_r11()
void | yy_r110()
void | yy_r111()
void | yy_r112()
void | yy_r113()
void | yy_r114()
void | yy_r115()
void | yy_r116()
void | yy_r117()
void | yy_r118()
void | yy_r119()
void | yy_r12()
void | yy_r120()
void | yy_r121()
void | yy_r122()
void | yy_r123()
void | yy_r124()
void | yy_r125()
void | yy_r126()
void | yy_r127()
void | yy_r128()
void | yy_r129()
void | yy_r130()
void | yy_r131()
void | yy_r132()
void | yy_r133()
void | yy_r134()
void | yy_r135()
void | yy_r136()
void | yy_r137()
void | yy_r138()
void | yy_r139()
void | yy_r14()
void | yy_r141()
void | yy_r142()
void | yy_r143()
void | yy_r144()
void | yy_r145()
void | yy_r146()
void | yy_r147()
void | yy_r148()
void | yy_r149()
void | yy_r150()
void | yy_r151()
void | yy_r152()
void | yy_r153()
void | yy_r154()
void | yy_r157()
void | yy_r16()
void | yy_r162()
void | yy_r163()
void | yy_r170()
void | yy_r171()
void | yy_r172()
void | yy_r173()
void | yy_r174()
void | yy_r178()
void | yy_r179()
void | yy_r18()
void | yy_r180()
void | yy_r181()
void | yy_r182()
void | yy_r183()
void | yy_r184()
void | yy_r185()
void | yy_r186()
void | yy_r189()
void | yy_r191()
void | yy_r192()
void | yy_r196()
void | yy_r197()
void | yy_r198()
void | yy_r2()
void | yy_r20()
void | yy_r200()
void | yy_r204()
void | yy_r205()
void | yy_r208()
void | yy_r209()
void | yy_r210()
void | yy_r211()
void | yy_r212()
void | yy_r213()
void | yy_r214()
void | yy_r215()
void | yy_r22()
void | yy_r220()
void | yy_r222()
void | yy_r223()
void | yy_r225()
void | yy_r226()
void | yy_r227()
void | yy_r228()
void | yy_r229()
void | yy_r23()
void | yy_r230()
void | yy_r232()
void | yy_r233()
void | yy_r234()
void | yy_r237()
void | yy_r238()
void | yy_r240()
void | yy_r244()
void | yy_r25()
void | yy_r250()
void | yy_r251()
void | yy_r253()
void | yy_r254()
void | yy_r255()
void | yy_r256()
void | yy_r26()
void | yy_r267()
void | yy_r271()
void | yy_r275()
void | yy_r276()
void | yy_r28()
void | yy_r282()
void | yy_r29()
void | yy_r295()
void | yy_r296()
void | yy_r297()
void | yy_r3()
void | yy_r301()
void | yy_r305()
void | yy_r306()
void | yy_r307()
void | yy_r308()
void | yy_r309()
void | yy_r310()
void | yy_r311()
void | yy_r312()
void | yy_r32()
void | yy_r320()
void | yy_r321()
void | yy_r322()
void | yy_r323()
void | yy_r324()
void | yy_r327()
void | yy_r328()
void | yy_r329()
void | yy_r330()
void | yy_r331()
void | yy_r332()
void | yy_r333()
void | yy_r335()
void | yy_r337()
void | yy_r338()
void | yy_r34()
void | yy_r340()
void | yy_r342()
void | yy_r343()
void | yy_r347()
void | yy_r348()
void | yy_r349()
void | yy_r350()
void | yy_r355()
void | yy_r356()
void | yy_r357()
void | yy_r36()
void | yy_r360()
void | yy_r364()
void | yy_r367()
void | yy_r368()
void | yy_r37()
void | yy_r38()
void | yy_r4()
void | yy_r40()
void | yy_r42()
void | yy_r44()
void | yy_r47()
void | yy_r5()
void | yy_r51()
void | yy_r53()
void | yy_r54()
void | yy_r55()
void | yy_r56()
void | yy_r58()
void | yy_r6()
void | yy_r68()
void | yy_r69()
void | yy_r7()
void | yy_r70()
void | yy_r71()
void | yy_r72()
void | yy_r73()
void | yy_r75()
void | yy_r8()
void | yy_r81()
void | yy_r82()
void | yy_r86()
void | yy_r87()
void | yy_r88()
void | yy_r89()
void | yy_r9()
void | yy_r91()
void | yy_r93()
void | yy_r94()
void | yy_r95()
void | yy_r96()
void | yy_r97()
void | yy_r98()
void | yy_r99()
void | yy_reduce(mixed yyruleno, int Number) Perform a reduce action and the shift that must immediately follow the reduce.
void | yy_shift(mixed yyNewState, mixed yyMajor, mixed yypMinor, int The, mixed the) Perform a shift action.
void | yy_syntax_error(mixed yymajor, mixed TOKEN, mixed The) The following code executes when a syntax error first occurs.

## Field Detail

/parser/Parser/Core.php at line 240

### AMPERSAND

`public final int AMPERSAND = 29`

/parser/Parser/Core.php at line 271

### AT

`public final int AT = 60`

/parser/Parser/Core.php at line 318

### BACKQUOTE

`public final int BACKQUOTE = 107`

/parser/Parser/Core.php at line 238

### BAR

`public final int BAR = 27`

/parser/Parser/Core.php at line 239

### CARAT

`public final int CARAT = 28`

/parser/Parser/Core.php at line 235

### COLON

`public final int COLON = 24`

/parser/Parser/Core.php at line 217

### COMMA

`public final int COMMA = 6`

/parser/Parser/Core.php at line 255

### DIVIDE

`public final int DIVIDE = 44`

/parser/Parser/Core.php at line 337

### DOLLAR

`public final int DOLLAR = 126`

/parser/Parser/Core.php at line 253

### DOT

`public final int DOT = 42`

/parser/Parser/Core.php at line 351

### DOUBLEQUOTE

`public final int DOUBLEQUOTE = 140`

/parser/Parser/Core.php at line 222

### EQUALS

`public final int EQUALS = 11`

/parser/Parser/Core.php at line 257

### EXCLAM

`public final int EXCLAM = 46`

/parser/Parser/Core.php at line 247

### GREATERTHAN

`public final int GREATERTHAN = 36`

/parser/Parser/Core.php at line 272

### LBRACKET

`public final int LBRACKET = 61`

/parser/Parser/Core.php at line 288

### LCURLY

`public final int LCURLY = 77`

/parser/Parser/Core.php at line 245

### LESSTHAN

`public final int LESSTHAN = 34`

/parser/Parser/Core.php at line 285

### LPAREN

`public final int LPAREN = 74`

/parser/Parser/Core.php at line 252

### MINUS

`public final int MINUS = 41`

/parser/Parser/Core.php at line 256

### PERCENT

`public final int PERCENT = 45`

/parser/Parser/Core.php at line 251

### PLUS

`public final int PLUS = 40`

/parser/Parser/Core.php at line 234

### QUESTION

`public final int QUESTION = 23`

/parser/Parser/Core.php at line 341

### RBRACKET

`public final int RBRACKET = 130`

/parser/Parser/Core.php at line 289

### RCURLY

`public final int RCURLY = 78`

/parser/Parser/Core.php at line 286

### RPAREN

`public final int RPAREN = 75`

/parser/Parser/Core.php at line 287

### SEMI

`public final int SEMI = 76`

/parser/Parser/Core.php at line 352

### SINGLEQUOTE

`public final int SINGLEQUOTE = 141`

/parser/Parser/Core.php at line 259

### TILDE

`public final int TILDE = 48`

/parser/Parser/Core.php at line 254

### TIMES

`public final int TIMES = 43`

/parser/Parser/Core.php at line 279

### T_ABSTRACT

`public final int T_ABSTRACT = 68`

/parser/Parser/Core.php at line 229

### T_AND_EQUAL

`public final int T_AND_EQUAL = 18`

/parser/Parser/Core.php at line 319

### T_ARRAY

`public final int T_ARRAY = 108`

/parser/Parser/Core.php at line 267

### T_ARRAY_CAST

`public final int T_ARRAY_CAST = 56`

/parser/Parser/Core.php at line 304

### T_AS

`public final int T_AS = 93`

/parser/Parser/Core.php at line 345

### T_BAD_CHARACTER

`public final int T_BAD_CHARACTER = 134`

/parser/Parser/Core.php at line 266

### T_BINARY_CAST

`public final int T_BINARY_CAST = 55`

/parser/Parser/Core.php at line 237

### T_BOOLEAN_AND

`public final int T_BOOLEAN_AND = 26`

/parser/Parser/Core.php at line 236

### T_BOOLEAN_OR

`public final int T_BOOLEAN_OR = 25`

/parser/Parser/Core.php at line 269

### T_BOOL_CAST

`public final int T_BOOL_CAST = 58`

/parser/Parser/Core.php at line 295

### T_BREAK

`public final int T_BREAK = 84`

/parser/Parser/Core.php at line 334

### T_CASE

`public final int T_CASE = 123`

/parser/Parser/Core.php at line 307

### T_CATCH

`public final int T_CATCH = 96`

/parser/Parser/Core.php at line 344

### T_CHARACTER

`public final int T_CHARACTER = 133`

/parser/Parser/Core.php at line 312

### T_CLASS

`public final int T_CLASS = 101`

/parser/Parser/Core.php at line 325

### T_CLASS_C

`public final int T_CLASS_C = 114`

/parser/Parser/Core.php at line 274

### T_CLONE

`public final int T_CLONE = 63`

/parser/Parser/Core.php at line 227

### T_CONCAT_EQUAL

`public final int T_CONCAT_EQUAL = 16`

/parser/Parser/Core.php at line 339

### T_CONST

`public final int T_CONST = 128`

/parser/Parser/Core.php at line 322

### T_CONSTANT_ENCAPSED_STRING

`public final int T_CONSTANT_ENCAPSED_STRING = 111`

/parser/Parser/Core.php at line 296

### T_CONTINUE

`public final int T_CONTINUE = 85`

/parser/Parser/Core.php at line 348

### T_CURLY_OPEN

`public final int T_CURLY_OPEN = 137`

/parser/Parser/Core.php at line 261

### T_DEC

`public final int T_DEC = 50`

/parser/Parser/Core.php at line 305

### T_DECLARE

`public final int T_DECLARE = 94`

/parser/Parser/Core.php at line 335

### T_DEFAULT

`public final int T_DEFAULT = 124`

/parser/Parser/Core.php at line 226

### T_DIV_EQUAL

`public final int T_DIV_EQUAL = 15`

/parser/Parser/Core.php at line 321

### T_DNUMBER

`public final int T_DNUMBER = 110`

/parser/Parser/Core.php at line 292

### T_DO

`public final int T_DO = 81`

/parser/Parser/Core.php at line 346

### T_DOLLAR_OPEN_CURLY_BRACES

`public final int T_DOLLAR_OPEN_CURLY_BRACES = 135`

/parser/Parser/Core.php at line 328

### T_DOUBLE_ARROW

`public final int T_DOUBLE_ARROW = 117`

/parser/Parser/Core.php at line 263

### T_DOUBLE_CAST

`public final int T_DOUBLE_CAST = 52`

/parser/Parser/Core.php at line 299

### T_ECHO

`public final int T_ECHO = 88`

/parser/Parser/Core.php at line 276

### T_ELSE

`public final int T_ELSE = 65`

/parser/Parser/Core.php at line 275

### T_ELSEIF

`public final int T_ELSEIF = 64`

/parser/Parser/Core.php at line 350

### T_EMPTY

`public final int T_EMPTY = 139`

/parser/Parser/Core.php at line 343

### T_ENCAPSED_AND_WHITESPACE

`public final int T_ENCAPSED_AND_WHITESPACE = 132`

/parser/Parser/Core.php at line 332

### T_ENDDECLARE

`public final int T_ENDDECLARE = 121`

/parser/Parser/Core.php at line 330

### T_ENDFOR

`public final int T_ENDFOR = 119`

/parser/Parser/Core.php at line 331

### T_ENDFOREACH

`public final int T_ENDFOREACH = 120`

/parser/Parser/Core.php at line 277

### T_ENDIF

`public final int T_ENDIF = 66`

/parser/Parser/Core.php at line 333

### T_ENDSWITCH

`public final int T_ENDSWITCH = 122`

/parser/Parser/Core.php at line 336

### T_ENDWHILE

`public final int T_ENDWHILE = 125`

/parser/Parser/Core.php at line 354

### T_END_HEREDOC

`public final int T_END_HEREDOC = 143`

/parser/Parser/Core.php at line 214

### T_EVAL

`public final int T_EVAL = 3`

/parser/Parser/Core.php at line 317

### T_EXIT

`public final int T_EXIT = 106`

/parser/Parser/Core.php at line 313

### T_EXTENDS

`public final int T_EXTENDS = 102`

/parser/Parser/Core.php at line 324

### T_FILE

`public final int T_FILE = 113`

/parser/Parser/Core.php at line 280

### T_FINAL

`public final int T_FINAL = 69`

/parser/Parser/Core.php at line 293

### T_FOR

`public final int T_FOR = 82`

/parser/Parser/Core.php at line 303

### T_FOREACH

`public final int T_FOREACH = 92`

/parser/Parser/Core.php at line 310

### T_FUNCTION

`public final int T_FUNCTION = 99`

/parser/Parser/Core.php at line 327

### T_FUNC_C

`public final int T_FUNC_C = 116`

/parser/Parser/Core.php at line 298

### T_GLOBAL

`public final int T_GLOBAL = 87`

/parser/Parser/Core.php at line 284

### T_HALT_COMPILER

`public final int T_HALT_COMPILER = 73`

/parser/Parser/Core.php at line 290

### T_IF

`public final int T_IF = 79`

/parser/Parser/Core.php at line 315

### T_IMPLEMENTS

`public final int T_IMPLEMENTS = 104`

/parser/Parser/Core.php at line 260

### T_INC

`public final int T_INC = 49`

/parser/Parser/Core.php at line 212

### T_INCLUDE

`public final int T_INCLUDE = 1`

/parser/Parser/Core.php at line 213

### T_INCLUDE_ONCE

`public final int T_INCLUDE_ONCE = 2`

/parser/Parser/Core.php at line 300

### T_INLINE_HTML

`public final int T_INLINE_HTML = 89`

/parser/Parser/Core.php at line 258

### T_INSTANCEOF

`public final int T_INSTANCEOF = 47`

/parser/Parser/Core.php at line 314

### T_INTERFACE

`public final int T_INTERFACE = 103`

/parser/Parser/Core.php at line 262

### T_INT_CAST

`public final int T_INT_CAST = 51`

/parser/Parser/Core.php at line 349

### T_ISSET

`public final int T_ISSET = 138`

/parser/Parser/Core.php at line 241

### T_IS_EQUAL

`public final int T_IS_EQUAL = 30`

/parser/Parser/Core.php at line 248

### T_IS_GREATER_OR_EQUAL

`public final int T_IS_GREATER_OR_EQUAL = 37`

/parser/Parser/Core.php at line 243

### T_IS_IDENTICAL

`public final int T_IS_IDENTICAL = 32`

/parser/Parser/Core.php at line 242

### T_IS_NOT_EQUAL

`public final int T_IS_NOT_EQUAL = 31`

/parser/Parser/Core.php at line 244

### T_IS_NOT_IDENTICAL

`public final int T_IS_NOT_IDENTICAL = 33`

/parser/Parser/Core.php at line 246

### T_IS_SMALLER_OR_EQUAL

`public final int T_IS_SMALLER_OR_EQUAL = 35`

/parser/Parser/Core.php at line 323

### T_LINE

`public final int T_LINE = 112`

/parser/Parser/Core.php at line 316

### T_LIST

`public final int T_LIST = 105`

/parser/Parser/Core.php at line 320

### T_LNUMBER

`public final int T_LNUMBER = 109`

/parser/Parser/Core.php at line 220

### T_LOGICAL_AND

`public final int T_LOGICAL_AND = 9`

/parser/Parser/Core.php at line 218

### T_LOGICAL_OR

`public final int T_LOGICAL_OR = 7`

/parser/Parser/Core.php at line 219

### T_LOGICAL_XOR

`public final int T_LOGICAL_XOR = 8`

/parser/Parser/Core.php at line 326

### T_METHOD_C

`public final int T_METHOD_C = 115`

/parser/Parser/Core.php at line 224

### T_MINUS_EQUAL

`public final int T_MINUS_EQUAL = 13`

/parser/Parser/Core.php at line 228

### T_MOD_EQUAL

`public final int T_MOD_EQUAL = 17`

/parser/Parser/Core.php at line 225

### T_MUL_EQUAL

`public final int T_MUL_EQUAL = 14`

/parser/Parser/Core.php at line 273

### T_NEW

`public final int T_NEW = 62`

/parser/Parser/Core.php at line 342

### T_NUM_STRING

`public final int T_NUM_STRING = 131`

/parser/Parser/Core.php at line 268

### T_OBJECT_CAST

`public final int T_OBJECT_CAST = 57`

/parser/Parser/Core.php at line 340

### T_OBJECT_OPERATOR

`public final int T_OBJECT_OPERATOR = 129`

/parser/Parser/Core.php at line 230

### T_OR_EQUAL

`public final int T_OR_EQUAL = 19`

/parser/Parser/Core.php at line 329

### T_PAAMAYIM_NEKUDOTAYIM

`public final int T_PAAMAYIM_NEKUDOTAYIM = 118`

/parser/Parser/Core.php at line 223

### T_PLUS_EQUAL

`public final int T_PLUS_EQUAL = 12`

/parser/Parser/Core.php at line 221

### T_PRINT

`public final int T_PRINT = 10`

/parser/Parser/Core.php at line 281

### T_PRIVATE

`public final int T_PRIVATE = 70`

/parser/Parser/Core.php at line 282

### T_PROTECTED

`public final int T_PROTECTED = 71`

/parser/Parser/Core.php at line 283

### T_PUBLIC

`public final int T_PUBLIC = 72`

/parser/Parser/Core.php at line 215

### T_REQUIRE

`public final int T_REQUIRE = 4`

/parser/Parser/Core.php at line 216

### T_REQUIRE_ONCE

`public final int T_REQUIRE_ONCE = 5`

/parser/Parser/Core.php at line 297

### T_RETURN

`public final int T_RETURN = 86`

/parser/Parser/Core.php at line 249

### T_SL

`public final int T_SL = 38`

/parser/Parser/Core.php at line 232

### T_SL_EQUAL

`public final int T_SL_EQUAL = 21`

/parser/Parser/Core.php at line 250

### T_SR

`public final int T_SR = 39`

/parser/Parser/Core.php at line 233

### T_SR_EQUAL

`public final int T_SR_EQUAL = 22`

/parser/Parser/Core.php at line 353

### T_START_HEREDOC

`public final int T_START_HEREDOC = 142`

/parser/Parser/Core.php at line 278

### T_STATIC

`public final int T_STATIC = 67`

/parser/Parser/Core.php at line 311

### T_STRING

`public final int T_STRING = 100`

/parser/Parser/Core.php at line 264

### T_STRING_CAST

`public final int T_STRING_CAST = 53`

/parser/Parser/Core.php at line 347

### T_STRING_VARNAME

`public final int T_STRING_VARNAME = 136`

/parser/Parser/Core.php at line 294

### T_SWITCH

`public final int T_SWITCH = 83`

/parser/Parser/Core.php at line 309

### T_THROW

`public final int T_THROW = 98`

/parser/Parser/Core.php at line 306

### T_TRY

`public final int T_TRY = 95`

/parser/Parser/Core.php at line 265

### T_UNICODE_CAST

`public final int T_UNICODE_CAST = 54`

/parser/Parser/Core.php at line 302

### T_UNSET

`public final int T_UNSET = 91`

/parser/Parser/Core.php at line 270

### T_UNSET_CAST

`public final int T_UNSET_CAST = 59`

/parser/Parser/Core.php at line 301

### T_USE

`public final int T_USE = 90`

/parser/Parser/Core.php at line 338

### T_VAR

`public final int T_VAR = 127`

/parser/Parser/Core.php at line 308

### T_VARIABLE

`public final int T_VARIABLE = 97`

/parser/Parser/Core.php at line 291

### T_WHILE

`public final int T_WHILE = 80`

/parser/Parser/Core.php at line 231

### T_XOR_EQUAL

`public final int T_XOR_EQUAL = 20`

/parser/Parser/Core.php at line 4259

### YYERRORSYMBOL

`public final int YYERRORSYMBOL = 144`

/parser/Parser/Core.php at line 4260

### YYERRSYMDT

`public final str YYERRSYMDT = 'yy0'`

/parser/Parser/Core.php at line 4261

### YYFALLBACK

`public final int $YYFALLBACK`

/parser/Parser/Core.php at line 4255

### YYNOCODE

`public final int YYNOCODE = 279`

/parser/Parser/Core.php at line 4258

### YYNRULE

`public final int YYNRULE = 375`

/parser/Parser/Core.php at line 4257

### YYNSTATE

`public final int YYNSTATE = 744`

/parser/Parser/Core.php at line 4256

### YYSTACKDEPTH

`public final int YYSTACKDEPTH = 100`

/parser/Parser/Core.php at line 356

### YY_ACCEPT_ACTION

`public final int YY_ACCEPT_ACTION = 1120`

/parser/Parser/Core.php at line 357

### YY_ERROR_ACTION

`public final int YY_ERROR_ACTION = 1119`

/parser/Parser/Core.php at line 355

### YY_NO_ACTION

`public final int YY_NO_ACTION = 1121`

/parser/Parser/Core.php at line 3388

### YY_REDUCE_MAX

`public final int YY_REDUCE_MAX = 257`

/parser/Parser/Core.php at line 3387

### YY_REDUCE_USE_DFLT

`public final int YY_REDUCE_USE_DFLT = -223`

/parser/Parser/Core.php at line 3333

### YY_SHIFT_MAX

`public final int YY_SHIFT_MAX = 500`

/parser/Parser/Core.php at line 3332

### YY_SHIFT_USE_DFLT

`public final int YY_SHIFT_USE_DFLT = -93`

/parser/Parser/Core.php at line 409

### YY_SZ_ACTTAB

`public final int YY_SZ_ACTTAB = 14587`

/parser/Parser/Core.php at line 7104

### _retvalue

`private mixed $_retvalue`

placeholder for the left hand side in a reduce operation.

For a parser with a rule like this:

    rule(A) ::= B. { A = 1; }

The parser will translate to something like:

`function yy_r0(){$this->_retvalue = 1;}`

/parser/Parser/Core.php at line 109

### classes

`public mixed $classes = array()`

/parser/Parser/Core.php at line 174

### data

`public mixed $data`

/parser/Parser/Core.php at line 108

### functions

`public mixed $functions = array()`

/parser/Parser/Core.php at line 112

### globals

`public mixed $globals = array()`

/parser/Parser/Core.php at line 107

### lex

`public mixed $lex`

/parser/Parser/Core.php at line 113

### root

`public mixed $root`

/parser/Parser/Core.php at line 106

### transTable

`public static mixed $transTable = array()`

/parser/Parser/Core.php at line 3417

### yyExpectedTokens

`public static mixed $yyExpectedTokens = array(...)`

/parser/Parser/Core.php at line 4272

### yyFallback

`public static mixed $yyFallback = array( )`

The next table maps tokens into fallback tokens. If a construct like the following:

%fallback ID X Y Z.

appears in the grammer, then ID becomes a fallback token for X, Y, and Z. Whenever one of the tokens X, Y, or Z is input to the parser but it does not parse, the type of the token is changed to ID and the parse is retried before an error is thrown.

/parser/Parser/Core.php at line 5540

### yyReduceMap

`public static mixed $yyReduceMap = array(...)`

The following table contains a mapping of reduce action to method name that handles the reduction.

If a rule is not set, it has no handler.

/parser/Parser/Core.php at line 5156

### yyRuleInfo

`public static mixed $yyRuleInfo = array(...)`

The following table contains information about every rule that is used during the reduce.

    array(
    array(
    int $lhs;         Symbol on the left-hand side of the rule
    int $nrhs;     Number of right-hand side symbols in the rule
    ),...
    );

/parser/Parser/Core.php at line 4417

### yyRuleName

`public static array $yyRuleName = array(...)`

For tracing reduce actions, the names of all rules are required.

/parser/Parser/Core.php at line 4340

### yyTokenName

`public static array $yyTokenName = array(...)`

For tracing shifts, the names of all terminals and nonterminals are required. The following table supplies these names

/parser/Parser/Core.php at line 4316

### yyTraceFILE

`public static resource|0 $yyTraceFILE`

/parser/Parser/Core.php at line 4321

### yyTracePrompt

`public static string|0 $yyTracePrompt`

String to prepend to debug output

/parser/Parser/Core.php at line 410

### yy_action

`public static mixed $yy_action = array(...)`

/parser/Parser/Core.php at line 4163

### yy_default

`public static mixed $yy_default = array(...)`

/parser/Parser/Core.php at line 1871

### yy_lookahead

`public static mixed $yy_lookahead = array(...)`

/parser/Parser/Core.php at line 3389

### yy_reduce_ofst

`public static mixed $yy_reduce_ofst = array(...)`

/parser/Parser/Core.php at line 3334

### yy_shift_ofst

`public static mixed $yy_shift_ofst = array(...)`

/parser/Parser/Core.php at line 4329

### yyerrcnt

`public int $yyerrcnt`

/parser/Parser/Core.php at line 4325

### yyidx

`public int $yyidx`

/parser/Parser/Core.php at line 4333

### yystack

`public array $yystack = array()`

## Constructor Detail

/parser/Parser/Core.php at line 116

### PHP_Parser_Core

`public PHP_Parser_Core(mixed lex)`

## Method Detail

/parser/Parser/Core.php at line 4307

### PrintTrace

`public static void PrintTrace()`

Output debug information to output (php://output stream)

/parser/Parser/Core.php at line 4293

### Trace

`public static void Trace(mixed TraceFILE, mixed zTracePrompt, string )`

Turn parser tracing on by giving a stream to which to write the trace and a prompt to preface each trace message. Tracing is turned off by making either argument NULL

Inputs:

- A stream resource to which trace output should be written. If NULL, then tracing is turned off. - A prefix string written at the beginning of every line of trace output. If NULL, then tracing is turned off.

Outputs:

- None.

/parser/Parser/Core.php at line 4867

### __destruct

`private void __destruct()`

Deallocate and destroy a parser. Destructors are all called for all stack elements before shutting the parser down.

/parser/Parser/Core.php at line 7250

### doParse

`public void doParse(mixed yymajor, mixed yytokenvalue, mixed the, mixed any)`

The main parser program.

The first argument is the major token number. The second is the token value string as scanned from the input.

Parameters:
  the - token number
  the - token value
  any - extra arguments that should be passed to handlers

/parser/Parser/Core.php at line 178

### nop

`public void nop()`

/parser/Parser/Core.php at line 180

### releaseInstance

`public void releaseInstance()`

/parser/Parser/Core.php at line 4801

### tokenName

`public string tokenName(mixed tokenType, int )`

This function returns the symbolic name associated with a token value.

/parser/Parser/Core.php at line 7225

### yy_accept

`public void yy_accept()`

The following is executed when the parser accepts

%parse_accept code is inserted here

/parser/Parser/Core.php at line 4819

### yy_destructor

`public static void yy_destructor(mixed yymajor, mixed yypminor, mixed the)`

The following function deletes the value associated with a symbol. The symbol can be either a terminal or nonterminal.

Parameters:
  the - symbol code
  the - symbol's value

/parser/Parser/Core.php at line 5082

### yy_find_reduce_action

`public void yy_find_reduce_action(mixed stateno, mixed iLookAhead, int Current, int The)`

Find the appropriate action for a parser given the non-terminal look-ahead token $iLookAhead.

If the look-ahead token is self::YYNOCODE, then check to see if the action is independent of the look-ahead. If it is, return the action, otherwise return self::YY_NO_ACTION.

Parameters:
  Current - state number
  The - look-ahead token

/parser/Parser/Core.php at line 5038

### yy_find_shift_action

`public void yy_find_shift_action(mixed iLookAhead, int The)`

Find the appropriate action for a parser given the terminal look-ahead token iLookAhead.

If the look-ahead token is YYNOCODE, then check to see if the action is independent of the look-ahead. If it is, return the action, otherwise return YY_NO_ACTION.

Parameters:
  The - look-ahead token

/parser/Parser/Core.php at line 4883

### yy_get_expected_tokens

`public array yy_get_expected_tokens(mixed token, int )`

Based on the current state and parser stack, get a list of all possible lookahead tokens

/parser/Parser/Core.php at line 4958

### yy_is_expected_token

`public bool yy_is_expected_token(mixed token, int )`

Based on the parser state and current parser stack, determine whether the lookahead token is possible.

The parser will convert the token value to an error token if not. This catches some unusual edge cases where the parser would fail.

/parser/Parser/Core.php at line 7179

### yy_parse_failed

`public void yy_parse_failed()`

The following code executes when the parse fails

Code from %parse_fail is inserted here

/parser/Parser/Core.php at line 4846

### yy_pop_parser_stack

`public int yy_pop_parser_stack(PHP_Parser_CoreyyParser )`

Pop the parser's stack once.

If there is a destructor routine associated with the token which is popped from the stack, then call it.

Return the major token number for the symbol popped.

/parser/Parser/Core.php at line 5923

### yy_r0

`public void yy_r0()`

/parser/Parser/Core.php at line 5928

### yy_r1

`public void yy_r1()`

/parser/Parser/Core.php at line 6229

### yy_r100

`public void yy_r100()`

/parser/Parser/Core.php at line 6234

### yy_r101

`public void yy_r101()`

/parser/Parser/Core.php at line 6239

### yy_r102

`public void yy_r102()`

/parser/Parser/Core.php at line 6244

### yy_r103

`public void yy_r103()`

/parser/Parser/Core.php at line 6249

### yy_r104

`public void yy_r104()`

/parser/Parser/Core.php at line 6254

### yy_r105

`public void yy_r105()`

/parser/Parser/Core.php at line 6259

### yy_r106

`public void yy_r106()`

/parser/Parser/Core.php at line 6264

### yy_r107

`public void yy_r107()`

/parser/Parser/Core.php at line 6269

### yy_r108

`public void yy_r108()`

/parser/Parser/Core.php at line 6274

### yy_r109

`public void yy_r109()`

/parser/Parser/Core.php at line 5971

### yy_r11

`public void yy_r11()`

/parser/Parser/Core.php at line 6279

### yy_r110

`public void yy_r110()`

/parser/Parser/Core.php at line 6284

### yy_r111

`public void yy_r111()`

/parser/Parser/Core.php at line 6289

### yy_r112

`public void yy_r112()`

/parser/Parser/Core.php at line 6294

### yy_r113

`public void yy_r113()`

/parser/Parser/Core.php at line 6299

### yy_r114

`public void yy_r114()`

/parser/Parser/Core.php at line 6304

### yy_r115

`public void yy_r115()`

/parser/Parser/Core.php at line 6309

### yy_r116

`public void yy_r116()`

/parser/Parser/Core.php at line 6314

### yy_r117

`public void yy_r117()`

/parser/Parser/Core.php at line 6319

### yy_r118

`public void yy_r118()`

/parser/Parser/Core.php at line 6324

### yy_r119

`public void yy_r119()`

/parser/Parser/Core.php at line 5976

### yy_r12

`public void yy_r12()`

/parser/Parser/Core.php at line 6329

### yy_r120

`public void yy_r120()`

/parser/Parser/Core.php at line 6334

### yy_r121

`public void yy_r121()`

/parser/Parser/Core.php at line 6339

### yy_r122

`public void yy_r122()`

/parser/Parser/Core.php at line 6344

### yy_r123

`public void yy_r123()`

/parser/Parser/Core.php at line 6349

### yy_r124

`public void yy_r124()`

/parser/Parser/Core.php at line 6354

### yy_r125

`public void yy_r125()`

/parser/Parser/Core.php at line 6359

### yy_r126

`public void yy_r126()`

/parser/Parser/Core.php at line 6364

### yy_r127

`public void yy_r127()`

/parser/Parser/Core.php at line 6369

### yy_r128

`public void yy_r128()`

/parser/Parser/Core.php at line 6374

### yy_r129

`public void yy_r129()`

/parser/Parser/Core.php at line 6379

### yy_r130

`public void yy_r130()`

/parser/Parser/Core.php at line 6384

### yy_r131

`public void yy_r131()`

/parser/Parser/Core.php at line 6389

### yy_r132

`public void yy_r132()`

/parser/Parser/Core.php at line 6394

### yy_r133

`public void yy_r133()`

/parser/Parser/Core.php at line 6399

### yy_r134

`public void yy_r134()`

/parser/Parser/Core.php at line 6404

### yy_r135

`public void yy_r135()`

/parser/Parser/Core.php at line 6409

### yy_r136

`public void yy_r136()`

/parser/Parser/Core.php at line 6414

### yy_r137

`public void yy_r137()`

/parser/Parser/Core.php at line 6419

### yy_r138

`public void yy_r138()`

/parser/Parser/Core.php at line 6424

### yy_r139

`public void yy_r139()`

/parser/Parser/Core.php at line 5981

### yy_r14

`public void yy_r14()`

/parser/Parser/Core.php at line 6429

### yy_r141

`public void yy_r141()`

/parser/Parser/Core.php at line 6434

### yy_r142

`public void yy_r142()`

/parser/Parser/Core.php at line 6439

### yy_r143

`public void yy_r143()`

/parser/Parser/Core.php at line 6444

### yy_r144

`public void yy_r144()`

/parser/Parser/Core.php at line 6449

### yy_r145

`public void yy_r145()`

/parser/Parser/Core.php at line 6454

### yy_r146

`public void yy_r146()`

/parser/Parser/Core.php at line 6459

### yy_r147

`public void yy_r147()`

/parser/Parser/Core.php at line 6464

### yy_r148

`public void yy_r148()`

/parser/Parser/Core.php at line 6469

### yy_r149

`public void yy_r149()`

/parser/Parser/Core.php at line 6474

### yy_r150

`public void yy_r150()`

/parser/Parser/Core.php at line 6479

### yy_r151

`public void yy_r151()`

/parser/Parser/Core.php at line 6484

### yy_r152

`public void yy_r152()`

/parser/Parser/Core.php at line 6489

### yy_r153

`public void yy_r153()`

/parser/Parser/Core.php at line 6494

### yy_r154

`public void yy_r154()`

/parser/Parser/Core.php at line 6499

### yy_r157

`public void yy_r157()`

/parser/Parser/Core.php at line 5992

### yy_r16

`public void yy_r16()`

/parser/Parser/Core.php at line 6502

### yy_r162

`public void yy_r162()`

/parser/Parser/Core.php at line 6505

### yy_r163

`public void yy_r163()`

/parser/Parser/Core.php at line 6508

### yy_r170

`public void yy_r170()`

/parser/Parser/Core.php at line 6516

### yy_r171

`public void yy_r171()`

/parser/Parser/Core.php at line 6523

### yy_r172

`public void yy_r172()`

/parser/Parser/Core.php at line 6531

### yy_r173

`public void yy_r173()`

/parser/Parser/Core.php at line 6538

### yy_r174

`public void yy_r174()`

/parser/Parser/Core.php at line 6543

### yy_r178

`public void yy_r178()`

/parser/Parser/Core.php at line 6548

### yy_r179

`public void yy_r179()`

/parser/Parser/Core.php at line 5997

### yy_r18

`public void yy_r18()`

/parser/Parser/Core.php at line 6560

### yy_r180

`public void yy_r180()`

/parser/Parser/Core.php at line 6565

### yy_r181

`public void yy_r181()`

/parser/Parser/Core.php at line 6577

### yy_r182

`public void yy_r182()`

/parser/Parser/Core.php at line 6582

### yy_r183

`public void yy_r183()`

/parser/Parser/Core.php at line 6588

### yy_r184

`public void yy_r184()`

/parser/Parser/Core.php at line 6593

### yy_r185

`public void yy_r185()`

/parser/Parser/Core.php at line 6599

### yy_r186

`public void yy_r186()`

/parser/Parser/Core.php at line 6605

### yy_r189

`public void yy_r189()`

/parser/Parser/Core.php at line 6608

### yy_r191

`public void yy_r191()`

/parser/Parser/Core.php at line 6614

### yy_r192

`public void yy_r192()`

/parser/Parser/Core.php at line 6620

### yy_r196

`public void yy_r196()`

/parser/Parser/Core.php at line 6625

### yy_r197

`public void yy_r197()`

/parser/Parser/Core.php at line 6631

### yy_r198

`public void yy_r198()`

/parser/Parser/Core.php at line 5934

### yy_r2

`public void yy_r2()`

/parser/Parser/Core.php at line 6008

### yy_r20

`public void yy_r20()`

/parser/Parser/Core.php at line 6637

### yy_r200

`public void yy_r200()`

/parser/Parser/Core.php at line 6643

### yy_r204

`public void yy_r204()`

/parser/Parser/Core.php at line 6648

### yy_r205

`public void yy_r205()`

/parser/Parser/Core.php at line 6653

### yy_r208

`public void yy_r208()`

/parser/Parser/Core.php at line 6660

### yy_r209

`public void yy_r209()`

/parser/Parser/Core.php at line 6668

### yy_r210

`public void yy_r210()`

/parser/Parser/Core.php at line 6676

### yy_r211

`public void yy_r211()`

/parser/Parser/Core.php at line 6683

### yy_r212

`public void yy_r212()`

/parser/Parser/Core.php at line 6690

### yy_r213

`public void yy_r213()`

/parser/Parser/Core.php at line 6698

### yy_r214

`public void yy_r214()`

/parser/Parser/Core.php at line 6706

### yy_r215

`public void yy_r215()`

/parser/Parser/Core.php at line 6013

### yy_r22

`public void yy_r22()`

/parser/Parser/Core.php at line 6713

### yy_r220

`public void yy_r220()`

/parser/Parser/Core.php at line 6719

### yy_r222

`public void yy_r222()`

/parser/Parser/Core.php at line 6726

### yy_r223

`public void yy_r223()`

/parser/Parser/Core.php at line 6732

### yy_r225

`public void yy_r225()`

/parser/Parser/Core.php at line 6739

### yy_r226

`public void yy_r226()`

/parser/Parser/Core.php at line 6745

### yy_r227

`public void yy_r227()`

/parser/Parser/Core.php at line 6751

### yy_r228

`public void yy_r228()`

/parser/Parser/Core.php at line 6756

### yy_r229

`public void yy_r229()`

/parser/Parser/Core.php at line 6018

### yy_r23

`public void yy_r23()`

/parser/Parser/Core.php at line 6761

### yy_r230

`public void yy_r230()`

/parser/Parser/Core.php at line 6766

### yy_r232

`public void yy_r232()`

/parser/Parser/Core.php at line 6773

### yy_r233

`public void yy_r233()`

/parser/Parser/Core.php at line 6779

### yy_r234

`public void yy_r234()`

/parser/Parser/Core.php at line 6786

### yy_r237

`public void yy_r237()`

/parser/Parser/Core.php at line 6791

### yy_r238

`public void yy_r238()`

/parser/Parser/Core.php at line 6796

### yy_r240

`public void yy_r240()`

/parser/Parser/Core.php at line 6801

### yy_r244

`public void yy_r244()`

/parser/Parser/Core.php at line 6023

### yy_r25

`public void yy_r25()`

/parser/Parser/Core.php at line 6807

### yy_r250

`public void yy_r250()`

/parser/Parser/Core.php at line 6813

### yy_r251

`public void yy_r251()`

/parser/Parser/Core.php at line 6820

### yy_r253

`public void yy_r253()`

/parser/Parser/Core.php at line 6827

### yy_r254

`public void yy_r254()`

/parser/Parser/Core.php at line 6833

### yy_r255

`public void yy_r255()`

/parser/Parser/Core.php at line 6839

### yy_r256

`public void yy_r256()`

/parser/Parser/Core.php at line 6028

### yy_r26

`public void yy_r26()`

/parser/Parser/Core.php at line 6845

### yy_r267

`public void yy_r267()`

/parser/Parser/Core.php at line 6852

### yy_r271

`public void yy_r271()`

/parser/Parser/Core.php at line 6857

### yy_r275

`public void yy_r275()`

/parser/Parser/Core.php at line 6862

### yy_r276

`public void yy_r276()`

/parser/Parser/Core.php at line 6033

### yy_r28

`public void yy_r28()`

/parser/Parser/Core.php at line 6867

### yy_r282

`public void yy_r282()`

/parser/Parser/Core.php at line 6038

### yy_r29

`public void yy_r29()`

/parser/Parser/Core.php at line 6872

### yy_r295

`public void yy_r295()`

/parser/Parser/Core.php at line 6877

### yy_r296

`public void yy_r296()`

/parser/Parser/Core.php at line 6883

### yy_r297

`public void yy_r297()`

/parser/Parser/Core.php at line 5937

### yy_r3

`public void yy_r3()`

/parser/Parser/Core.php at line 6889

### yy_r301

`public void yy_r301()`

/parser/Parser/Core.php at line 6894

### yy_r305

`public void yy_r305()`

/parser/Parser/Core.php at line 6900

### yy_r306

`public void yy_r306()`

/parser/Parser/Core.php at line 6906

### yy_r307

`public void yy_r307()`

/parser/Parser/Core.php at line 6913

### yy_r308

`public void yy_r308()`

/parser/Parser/Core.php at line 6919

### yy_r309

`public void yy_r309()`

/parser/Parser/Core.php at line 6925

### yy_r310

`public void yy_r310()`

/parser/Parser/Core.php at line 6931

### yy_r311

`public void yy_r311()`

/parser/Parser/Core.php at line 6938

### yy_r312

`public void yy_r312()`

/parser/Parser/Core.php at line 6043

### yy_r32

`public void yy_r32()`

/parser/Parser/Core.php at line 6945

### yy_r320

`public void yy_r320()`

/parser/Parser/Core.php at line 6950

### yy_r321

`public void yy_r321()`

/parser/Parser/Core.php at line 6955

### yy_r322

`public void yy_r322()`

/parser/Parser/Core.php at line 6960

### yy_r323

`public void yy_r323()`

/parser/Parser/Core.php at line 6965

### yy_r324

`public void yy_r324()`

/parser/Parser/Core.php at line 6970

### yy_r327

`public void yy_r327()`

/parser/Parser/Core.php at line 6975

### yy_r328

`public void yy_r328()`

/parser/Parser/Core.php at line 6980

### yy_r329

`public void yy_r329()`

/parser/Parser/Core.php at line 6985

### yy_r330

`public void yy_r330()`

/parser/Parser/Core.php at line 6992

### yy_r331

`public void yy_r331()`

/parser/Parser/Core.php at line 6997

### yy_r332

`public void yy_r332()`

/parser/Parser/Core.php at line 7002

### yy_r333

`public void yy_r333()`

/parser/Parser/Core.php at line 7007

### yy_r335

`public void yy_r335()`

/parser/Parser/Core.php at line 7012

### yy_r337

`public void yy_r337()`

/parser/Parser/Core.php at line 7017

### yy_r338

`public void yy_r338()`

/parser/Parser/Core.php at line 6048

### yy_r34

`public void yy_r34()`

/parser/Parser/Core.php at line 7022

### yy_r340

`public void yy_r340()`

/parser/Parser/Core.php at line 7027

### yy_r342

`public void yy_r342()`

/parser/Parser/Core.php at line 7032

### yy_r343

`public void yy_r343()`

/parser/Parser/Core.php at line 7038

### yy_r347

`public void yy_r347()`

/parser/Parser/Core.php at line 7043

### yy_r348

`public void yy_r348()`

/parser/Parser/Core.php at line 7048

### yy_r349

`public void yy_r349()`

/parser/Parser/Core.php at line 7053

### yy_r350

`public void yy_r350()`

/parser/Parser/Core.php at line 7058

### yy_r355

`public void yy_r355()`

/parser/Parser/Core.php at line 7063

### yy_r356

`public void yy_r356()`

/parser/Parser/Core.php at line 7068

### yy_r357

`public void yy_r357()`

/parser/Parser/Core.php at line 6053

### yy_r36

`public void yy_r36()`

/parser/Parser/Core.php at line 7073

### yy_r360

`public void yy_r360()`

/parser/Parser/Core.php at line 7079

### yy_r364

`public void yy_r364()`

/parser/Parser/Core.php at line 7084

### yy_r367

`public void yy_r367()`

/parser/Parser/Core.php at line 7087

### yy_r368

`public void yy_r368()`

/parser/Parser/Core.php at line 6058

### yy_r37

`public void yy_r37()`

/parser/Parser/Core.php at line 6063

### yy_r38

`public void yy_r38()`

/parser/Parser/Core.php at line 5943

### yy_r4

`public void yy_r4()`

/parser/Parser/Core.php at line 6068

### yy_r40

`public void yy_r40()`

/parser/Parser/Core.php at line 6073

### yy_r42

`public void yy_r42()`

/parser/Parser/Core.php at line 6078

### yy_r44

`public void yy_r44()`

/parser/Parser/Core.php at line 6089

### yy_r47

`public void yy_r47()`

/parser/Parser/Core.php at line 5949

### yy_r5

`public void yy_r5()`

/parser/Parser/Core.php at line 6094

### yy_r51

`public void yy_r51()`

/parser/Parser/Core.php at line 6102

### yy_r53

`public void yy_r53()`

/parser/Parser/Core.php at line 6107

### yy_r54

`public void yy_r54()`

/parser/Parser/Core.php at line 6112

### yy_r55

`public void yy_r55()`

/parser/Parser/Core.php at line 6117

### yy_r56

`public void yy_r56()`

/parser/Parser/Core.php at line 6122

### yy_r58

`public void yy_r58()`

/parser/Parser/Core.php at line 5955

### yy_r6

`public void yy_r6()`

/parser/Parser/Core.php at line 6128

### yy_r68

`public void yy_r68()`

/parser/Parser/Core.php at line 6133

### yy_r69

`public void yy_r69()`

/parser/Parser/Core.php at line 5960

### yy_r7

`public void yy_r7()`

/parser/Parser/Core.php at line 6139

### yy_r70

`public void yy_r70()`

/parser/Parser/Core.php at line 6144

### yy_r71

`public void yy_r71()`

/parser/Parser/Core.php at line 6147

### yy_r72

`public void yy_r72()`

/parser/Parser/Core.php at line 6150

### yy_r73

`public void yy_r73()`

/parser/Parser/Core.php at line 6153

### yy_r75

`public void yy_r75()`

/parser/Parser/Core.php at line 5963

### yy_r8

`public void yy_r8()`

/parser/Parser/Core.php at line 6156

### yy_r81

`public void yy_r81()`

/parser/Parser/Core.php at line 6159

### yy_r82

`public void yy_r82()`

/parser/Parser/Core.php at line 6165

### yy_r86

`public void yy_r86()`

/parser/Parser/Core.php at line 6171

### yy_r87

`public void yy_r87()`

/parser/Parser/Core.php at line 6176

### yy_r88

`public void yy_r88()`

/parser/Parser/Core.php at line 6182

### yy_r89

`public void yy_r89()`

/parser/Parser/Core.php at line 5966

### yy_r9

`public void yy_r9()`

/parser/Parser/Core.php at line 6189

### yy_r91

`public void yy_r91()`

/parser/Parser/Core.php at line 6194

### yy_r93

`public void yy_r93()`

/parser/Parser/Core.php at line 6199

### yy_r94

`public void yy_r94()`

/parser/Parser/Core.php at line 6204

### yy_r95

`public void yy_r95()`

/parser/Parser/Core.php at line 6209

### yy_r96

`public void yy_r96()`

/parser/Parser/Core.php at line 6214

### yy_r97

`public void yy_r97()`

/parser/Parser/Core.php at line 6219

### yy_r98

`public void yy_r98()`

/parser/Parser/Core.php at line 6224

### yy_r99

`public void yy_r99()`

/parser/Parser/Core.php at line 7124

### yy_reduce

`public void yy_reduce(mixed yyruleno, int Number)`

Perform a reduce action and the shift that must immediately follow the reduce.

For a rule such as:

    A ::= B blah C. { dosomething(); }

This function will first call the action, if any, ("dosomething();" in our example), and then it will pop three states from the stack, one for each entry on the right-hand side of the expression (B, blah, and C in our example rule), and then push the result of the action back on to the stack with the resulting state reduced to (as described in the .out file)

Parameters:
  Number - of the rule by which to reduce

/parser/Parser/Core.php at line 5111

### yy_shift

`public void yy_shift(mixed yyNewState, mixed yyMajor, mixed yypMinor, int The, mixed the)`

Perform a shift action.

Parameters:
  The - new state to shift in
  The - major token to shift in
  the - minor token to shift in

/parser/Parser/Core.php at line 7198

### yy_syntax_error

`public void yy_syntax_error(mixed yymajor, mixed TOKEN, mixed The)`

The following code executes when a syntax error first occurs.

%syntax_error code is inserted here

Parameters:
  The - major type of the error token
  The - minor type of the error token

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr